## org.apache.lucene.queryParser.standard.parser
Class EscapeQuerySyntaxImpl

    java.lang.Object
      org.apache.lucene.queryParser.standard.parser.EscapeQuerySyntaxImpl

All Implemented Interfaces:
  EscapeQuerySyntax

    public class EscapeQuerySyntaxImpl

extends java.lang.Object
implements EscapeQuerySyntax

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.queryParser.core.parser.EscapeQuerySyntax
`EscapeQuerySyntax.Type`

Constructor Summary
`EscapeQuerySyntaxImpl()`

Method Summary
`static UnescapedCharSequence` `discardEscapeChar(java.lang.CharSequence input)` Returns a String where the escape char has been removed, or kept only once if there was a double escape.
`java.lang.CharSequence` `escape(java.lang.CharSequence text, java.util.Locale locale, EscapeQuerySyntax.Type type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapeQuerySyntaxImpl

    public EscapeQuerySyntaxImpl()

Method Detail

### escape

    public java.lang.CharSequence escape(java.lang.CharSequence text,
                                         java.util.Locale locale,
                                         EscapeQuerySyntax.Type type)

  Specified by:
    `escape` in interface `EscapeQuerySyntax`
  Parameters:
    `text` - - text to be escaped
    `locale` - - locale for the current query
    `type` - - select the type of escape operation to use
  Returns:
    escaped text

### discardEscapeChar

    public static UnescapedCharSequence discardEscapeChar(java.lang.CharSequence input)
                                                   throws ParseException

  Returns a String where the escape char has been removed, or kept only once if there was a double escape. Supports escaped unicode characters, e. g. translates `A` to `A`.

  Throws:
    `ParseException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.